%global short_name lsp-server

%global _description %{expand:
A python implementation of language server protocol. This package provides
the community maintained version of python-language-server.
}

Name:           python-%{short_name}
Version:        1.1.0
Release:        1%{?dist}
Summary:        Python implementation of language server protocol

License:        MIT
URL:            https://github.com/python-lsp/%{name}
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
%_description

%package -n     python3-%{short_name}
Summary:        %{summary}

%description -n python3-%{short_name}
%_description


%prep
%autosetup -n %{name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -x all,test

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files pylsp

%check
%pytest -k "not (test_syntax_error_pyflakes or test_pylint or test_syntax_error_pylint_py3)"

%files -n python3-%{short_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/pylsp

%changelog
* Mon Jul 05 2021 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.0.0-1
- Initial package.
